#
#Author: Edward Muller (edwardam@home.com edwardam@handhelds.org)
#Licnese: BSD (http://www.opensource.org/licenses/bsd-license.html)
#Date: 01/21/2001
#Program: hostname.py
#Version: 0.03
#
name = "Name"
desc = "Set System's Hostname"
glade_file = 'hostname.glade'

from gtk import *
from GTK import *
import sys
from utils import *

# for testing on my laptop
sys.path.append('/root/python/sysset/applets/mods')
import profmod

#### a few globals for my xml junk
aval={} #### may be a better way but it works
modulename="NAME" #### Salt this one to taste! (Name of specific applet)
#### Only modulename should be set.. rest of readprofile code won't need to be changed by applet authors.


class applet(Applet):
    def __init__(self,glade_file):
        import string
        global aval
        
        if profmod.readprofile(modulename,aval):
            hostname=aval['HOSTNAME']
        else:
            try:
                f = open('/etc/hostname','r')
                hostname = string.strip(f.read())
                f.close()
            except:
                hostname = ''

        Applet.__init__(self,glade_file)
            
        self.widgets['hostname'].set_text(hostname)

    def save(self,msgbox=FALSE):
        import os
        hostname = self.widgets['hostname'].get_text()
        aval['HOSTNAME']=hostname
        if (profmod.writeprofile(modulename,aval)==0): 
            print "**Applet data save has a problem!!**"
            sys.exit(0)
        ret = Applet.save(self,msgbox)
        
    def activate(self):
        global avail
        hostname=aval['HOSTNAME']
        f = open('/etc/hostname','w')
        f.write('%s\n' % hostname)
        f.close()
                
applet_instance = applet(glade_file)
